package org.securedroneid.android.data;

import org.securedroneid.android.bluetooth.OpenDroneIdParser;

public class Wrapper extends MessageData {

    private OpenDroneIdParser.Type[] messageTypes;
    private int messageCount;
    public Wrapper(int messageCount) {
        super();
        this.messageCount = messageCount;
    }

    public void setMessageTypes(OpenDroneIdParser.Type[] messageTypes) {
        this.messageTypes = messageTypes;
    }

    public OpenDroneIdParser.Type[] getMessageTypes() {
        return messageTypes;
    }
    public String getMessageTypesAsString() {
        StringBuilder sb = new StringBuilder();
        String loopDelim = "";
        for(OpenDroneIdParser.Type type : messageTypes) {
            sb.append(loopDelim);
            sb.append(type.name());
            loopDelim = ", ";
        }
        return sb.toString();
    }

    public int getMessageCount() { return messageCount; }
}
